# snej

SNES-like engine in JavaScript

## cookbook

* set up environment in bashrc:

      export SNEJ_ROOT=~/snej

* lint:

      $SNEJ_ROOT/scripts/lint.sh

* deploy locally:

      rm -rf ~/deploy/* && $SNEJ_ROOT/scripts/deploy.sh ~/deploy/

* deploy to famicol.in:

      ssh mcmillen@famicol.in rm -rf 'famicolin/snej/*' && \
          $SNEJ_ROOT/scripts/deploy.sh mcmillen@famicol.in:famicolin/snej

* annotate sprites:

      python3 $SNEJ_ROOT/scripts/assets.py annotate-sprites

* stitch sprites:

      python3 $SNEJ_ROOT/scripts/assets.py \
          stitch-sprites $SNEJ_ROOT/bundle/spritesheet
